ustrdup(3)

NAME
ustrdup

SYNOPSIS
#include <allegro.h>

char *ustrdup(const char *src)

DESCRIPTION
This functions copies the NULL-terminated string src into a newly allocated area of memory. The memory returned by this call must be freed by the caller. Returns NULL if it cannot allocate space for the duplicated string.

SEE ALSO
_ustrdup(3), uconvert(3), ustrsize(3), ustrsizez(3)